<template>
  <div>
    <div>
      <h1 class="text-2xl pb-4 text-green-500">Plantillas</h1>
    </div>
    <h1 v-if="loading" class="text-2xl text-green-500">...Cargando</h1>
    <appTable v-else :headers="headers">
      <template #body>
        <turnTemplateCard
          v-for="item in turnsTemplateList"
          :key="item.id"
          :turn-template="item"
        ></turnTemplateCard>
      </template>
    </appTable>
  </div>
</template>

<script>
import constants from '../constants';
import turnTemplateCard from '../components/turn-template/card';
import apiMixin from '../mixins/api';
export default {
  components: { turnTemplateCard },
  mixins: [apiMixin],
  data: () => ({
    headers: constants.turnTemplateHeaderTable,
    loading: false,
  }),
  async mounted() {
    this.loading = true;
    if (this.locationList.length === 0) {
      await this.fetchLocationListAction();
    }
    if (this.positionList.length === 0) {
      await this.fetchPositionListAction();
    }
    if (this.turnsTemplateList.length === 0) {
      await this.fetchTurnsTemplateListAction();
    }
    this.loading = false;
  },
};
</script>
